Skip to content

Try “workflows”, “templates”, “SOQL” or “create a record”.

Inbox

Customer conversations: read, start, assign, change status and send messages.

Get the inbox summary

GET/inbox/summary
Scope inbox:viewRead-only

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/inbox/summary" \  -H "Authorization: Bearer $KLERC_TOKEN"

List inbox conversations

GET/inbox/conversations
Scope inbox:viewRead-only

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/inbox/conversations" \  -H "Authorization: Bearer $KLERC_TOKEN"

Start a conversation

POST/inbox/conversations
Scope inbox:sendWrites data

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/inbox/conversations" \  -H "Authorization: Bearer $KLERC_TOKEN"

Get a conversation

GET/inbox/conversations/{id}
Scope inbox:viewRead-only

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/inbox/conversations/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Update a conversation (status/assignee/…)

PATCH/inbox/conversations/{id}
Scope inbox:sendWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/inbox/conversations/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

List messages in a conversation

GET/inbox/conversations/{id}/messages
Scope inbox:viewRead-only

Path parameters

NameType
idrequiredstring

Query parameters

NameType
limitnumber
cursorstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/inbox/conversations/{id}/messages?limit=25" \  -H "Authorization: Bearer $KLERC_TOKEN"

Send a message in a conversation

POST/inbox/conversations/{id}/messages
Scope inbox:sendWrites data

Path parameters

NameType
idrequiredstring

Request body

FieldType
textstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/inbox/conversations/{id}/messages" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"text":"…"}'

Get a contact panel

GET/inbox/contacts/{id}
Scope inbox:viewRead-only

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/inbox/contacts/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Add an internal note to a conversation

POST/inbox/conversations/{id}/notes
Scope inbox:sendWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/inbox/conversations/{id}/notes" \  -H "Authorization: Bearer $KLERC_TOKEN"